Subject: Re: New email list for emergency communications

From: "Marc G. Fournier" <[email-masked]>
Date: Mon, 24 Mar 2008 23:51:19 -0300

- --On Monday, March 24, 2008 15:04:39 -0400 Bruce Momjian <[email-masked]> 
wrote:

> When email was down this past week, I had no idea if the problem was
> known and who was working on it.

Trust in the fact that by the time you would notice a problem, we're already 
working on fixing it ... Stefan has everything monitored automatically, which 
sends out auto-notices to 'those that can fix it' ... by the time you would 
notice it, we're already deep into fixing it ...

- -- 
Marc G. Fournier        Hub.Org Hosting Solutions S.A. (http://www.hub.org)
Email . [email-masked]                              MSN . [email-masked]
Yahoo . yscrappy               Skype: hub.org        ICQ . 7615664

---

From: Andreas 'ads' Scherbaum <[email-masked]>
Date: Tue, 25 Mar 2008 18:44:21 +0100

> notice it, we're already deep into fixing it ...

So i think the problem is not that you (sysadmin team) already know.
The problem is that the others does not know that you know.

Try to communicate that you are working on a specific problem. One
possible solution: a status page, was already mentioned earlier.

Kind regards

-- 
				Andreas 'ads' Scherbaum
German PostgreSQL User Group
European PostgreSQL User Group - Board of Directors

---

From: Robert Treat <[email-masked]>
Date: Tue, 25 Mar 2008 21:54:22 -0400

On Tuesday 25 March 2008 13:44, Andreas 'ads' Scherbaum wrote:
> > Trust in the fact that by the time you would notice a problem, we're
> > already working on fixing it ... Stefan has everything monitored
> > automatically, which sends out auto-notices to 'those that can fix it'
> > ... by the time you would notice it, we're already deep into fixing it
> > ...
>

I have a couple of thoughts wrt this. AUIU we're using nagios, it should be 
possible to set up sysadmins and bruce with nagios accounts so we can login 
and view the pretty colors that explain what is up or down. 

Second, as I think about it, I think the only member of our sysadmin team who 
has ops on IRC is Joshua. Perhaps we should see about having a number of us 
get ops so we can post notices there. It won't reach everyone, but would hit 
a large % of people, and the network is completly seperate in all ways from 
the postgresql.org infrastructure. 

-- 
Robert Treat
Build A Brighter LAMP :: Linux Apache {middleware} PostgreSQL

---

From: Bruce Momjian <[email-masked]>
Date: Tue, 25 Mar 2008 21:59:55 -0400 (EDT)

> and view the pretty colors that explain what is up or down. 

Yes, Magnus has already set me up with a nagio account.

> the postgresql.org infrastructure. 

I have IRC ops too.  But I am really looking for something that notifies
me that there is a problem, rather than having me go looking for
information.  If email is down, people should be able to subscribe to
alerts and status reports.

-- 
  Bruce Momjian  <[email-masked]>        http://momjian.us
  EnterpriseDB                             http://postgres.enterprisedb.com

  + If your life is a hard drive, Christ can be your backup. +

---

From: "Marc G. Fournier" <[email-masked]>
Date: Wed, 26 Mar 2008 01:43:37 -0300

> alerts and status reports.

'k, I can guarantee you that if/when there is a problem, my focus is going to 
be on *fixing* the problem, not sending out status messages to the effect of 
"its still down" ...

- --

---

From: "Joshua D. Drake" <[email-masked]>
Date: Tue, 25 Mar 2008 22:45:43 -0700

> be on *fixing* the problem, not sending out status messages to the effect of 

Any reliable network infrastructure will have the ability for the users 
of that infrastructure to get a status update on a particular problem. I 
am able to do this even with my uber cheap DSL line. I call the status 
line when there is a problem and a nice little attendant says, "Yo... we 
know there is a problem in hood river, ETA to fix, 2 hours".

Do I think it is reasonable that Marc or anyone else start sending out 
status messages? No.

Do I think it is reasonable that when there is a problem that a ticket 
be created on pmt.postgresql.org that describes the problem, and when 
the problem is fixed (or if the problem is going to be longer term), 
that ticket be updated and closed? Yes.

We are either a network of professionals supporting an infrastructure, 
or were not.

Whether we like it or not, the moment we agreed to be on sysadmins@, 
postgresql.org became our customer. We should act like they are our 
customer and provide the relevant and appropriate customer 
communications. That means, tickets, updates, communication, and 
documentation.

Sincerely,

Joshua D. Drake

---

From: "Joshua D. Drake" <[email-masked]>
Date: Tue, 25 Mar 2008 22:47:03 -0700

> alerts and status reports.

Nagios can be very noisy, however we could have a "status" email list 
that nagios sent to. I warn you though, it can be very... very noisy.

Joshua D. Drake

---

From: Andreas 'ads' Scherbaum <[email-masked]>
Date: Wed, 26 Mar 2008 12:24:35 +0100

> that nagios sent to. I warn you though, it can be very... very noisy.

A filter can be very effective here ;-)
At least ppl cannot blame someone that they don't get information about
a problem.

So if nagios is noisy it's up to the receiver to handle the messages.

Kind regards

P.S.: and yes, i know, how noisy it can be, the sms inbox on my mobile
tells stories - but that's better than not knowing what's going on.

---

From: Andreas 'ads' Scherbaum <[email-masked]>
Date: Wed, 26 Mar 2008 12:26:45 +0100

On Tue, 25 Mar 2008 21:54:22 -0400 Robert Treat wrote:

> get ops so we can post notices there.

Sorry for abusing this thread: does someone know from mind how to
register the other PostgreSQL channels on IRC if there is no op around?

That's not yet a problem, but i don't want to wait if we need an op
around.

Kind regards